Aplikasi Komputer Untuk Apotek

Bismillahirrahmanirrahim.

Sistem Manajemen Informasi dengan nama Aplikasi Komputer Untuk Apotek (AKUA) ini dibuat untuk menangani bagian dari point of sales kasir Apotek dan inventori dari Apotek tersebut, mulai dari pemesanan, pembelian, penjualan, retur - retur (bila ada) hingga laporan mendetailnya, dengan menyediakan kemampuan untuk menangani transaksi jual secara non resep maupun resep yang dibayar tunai ataupun kredit. Begitupun dengan transaksi belinya, bisa ditangani secara tunai atau pun kredit, selain itu aplikasi dilengkapi pula dengan layar alert/peringatan yang akan memberi informasi barang barang yang akan kadaluarsa dalam waktu dekat dan barang barang yang jumlahnya harus di stok ulang.

Sistem aplikasi ini dirancang untuk digunakan secara mudah baik dengan keyboard dan mouse ataupun dengan keyboard saja. Sehingga pekerjaan bisa selesai dengan cepat. Laporan yang disediakan ada lebih dari 20 macam, sehingga cukup banyak untuk memenuhi lingkup proses di Apotek. Laporan laporan tersebut dilengkapi kemampuan filtering tanggal sehingga mempermudah untuk mendapatkan informasi pada rentang waktu yang diinginkan.

Kelemahan – kelemahan yang dapat ditemukan dalam apotek yang belum menggunakan sistem yang terkomputerisasi umumnya adalah seperti berikut :

  • Membutuhkan waktu lebih lama dalam melayani transaksi pembayaran, karena harus dihitung secara manual atau dengan kalkulator.
  • Memerlukan waktu untuk memantau inventori stok obat yang ada (stock opname).
  • Memerlukan waktu dalam pembuatan laporan – laporan, karena karyawan harus membuka kembali data-data yang ada, sehingga pekerjaan menjadi kurang efektif.
  • Kemungkinan adanya data – data yang hilang karena tidak / lupa tercatat.

Dengan sistem terkomputerisasi diharapkan didapatkan kelebihan – kelebihan yang diperoleh apotek dengan menggunakan SIM ini adalah :

  • Membutuhkan waktu yang lebih singkat dalam melayani transaksi pembayaran, karena SIM atau mesin kasir dapat menghitung secara automatis
  • Pemantauan inventori / stok obat yang ada dapat dilakukan secara cepat
  • Pengambilan keputusan yang lebih tepat sasaran, misalnya pemilihan produk / obat obat mana saja yang lebih diperbanyak karena dengan menggunakan laporan statistik, bisa diketahui produk / obat obat mana saja yang paling diminati masyarakat (paling laris).

Aliran proses dari penggunaan SIM Apotik ini adalah, pengisian data, melakukan transaksi kemudian pembuatan laporan dan analisa statistik produk. Hak Akses untuk aplikasi bisa dibatasi dari menu sekuriti, sehingga sebagai misal tidak sembarang orang bisa melakukan transaksi penjualan, pembuatan laporan dan lain lain. Semua aktivitas dari setiap pengguna dalam pemakaian aplikasi ini tercatat secara rinci mendetail, dan hanya bisa dilihat oleh pengguna dengan hak administrator sehingga penyalahgunaan aplikasi bisa di minimalisir.

Aplikasi ini dibuat kurang lebih sejak tahun 2003 dan terus mengalami penyempurnaan dan penambahan fitur, seiring dari masukan baik dari narasumber (Sarjana Apoteker) maupun klien. Setiap klien saya berhak mendapatkan update ini secara gratis selama waktu yang belum ditentukan, dimana update tersebut bisa di download dari internet .

Selamat Mempelajari dan Menggunakan Aplikasi Ini dan Terima kasih atas minatnya.

Hormat Saya,

Agung Sagita Purnama
http://www.aespesoft.com
me@aespesoft.com / agungsp2000@yahoo.com
0818 438610

aespesoft © 2003


Peta Help

Lihatlah peta ini mulai Introduksi dengan pola searah jarum jam


Kebutuhan Sistem

Kebutuhan Software :
Aplikasi ini membutuhkan sistem operasi yang berbasis windows mulai dari versi windows 98, ME, NT, 2000 hingga XP. Monitor yang digunakan adalah flexibel, tapi minimal sebaiknya harus mampu berada dalam resolusi 800x600 pixel. Khusus untuk aplikasi yang multi client maka operating system minimal adalah Windows 2000.

Kebutuhan Hardware :
Secara mendasar, aplikasi ini akan berjalan pada konfigurasi hardware komputer yang bisa mendukung sistem operasi diatas. Semakin cepat konfigurasi hardware komputer, maka semakin cepat pula aplikasi ini dapat berjalan. Printer yang sudah di tes berjalan dengan baik adalah Printer Epson LX-300, khusus untuk aplikasi multi client maka komputer yang digunakan harus dilengkapi dengan network card sehingga bisa terhubung dengan komputer lainnya dalam jaringan komputer.


Jenis AKUA

Aplikasi SIM ini terdiri dari 2 versi yaitu versi single client dan multi client , secara fungsional, fitur dan kemampuan 2 versi ini adalah sama, perbedaannya adalah :

  • Single Client

    • aplikasi versi ini sebaiknya dipilih bila pekerjaan dan pemantauan keseluruhan sistem apotek dilakukan pada satu komputer saja, berguna untuk apotek apotek ukuran menengah ke bawah
    • database yang digunakan adalah database Microsoft Access, dengan data maksimum sebesar 1 Gigabytes
  • Multi Client MS SQL Server

    • aplikasi ini dipilih bila pekerjaan dan pemantauan keseluruhan sistem apotek bisa dilakukan di lebih dari 1 komputer, dan komputer komputer ini terhubungan dengan jaringan ethernet, berguna untuk apotek berukuran menengah ke atas dengan banyak kasir.
    • database yang digunakan adalah database MSDE (free) atau Microsoft SQL Server dengan kapasitas maksimum sangat besar hampir tidak terbatas sesuai kemampuan operating system
    • minimal pembelian 2 buah.
  • Multi Client my SQL Server

    • aplikasi ini dipilih bila pekerjaan dan pemantauan keseluruhan sistem apotek bisa dilakukan di lebih dari 1 komputer, dan komputer komputer ini terhubungan dengan jaringan ethernet, berguna untuk apotek berukuran menengah ke atas dengan banyak kasir.
    • database yang digunakan adalah database mySQL Server dengan kapasitas maksimum sangat besar hampir tidak terbatas sesuai kemampuan operating system
    • minimal pembelian 2 buah.

    • aespesoft © 2003


Tampilan Awal & Menu Menu

Tampilan awal dan Menu Menu dari aplikasi saat dijalankan adalah :

  • Menu Transaksi

  • Menu Data

  • Menu Tools

  • Menu Laporan


Hal Yang Sering Ditanyakan

Dibawah ini adalah beberapa pertanyaan yang sering ditanyakan ke saya, kalimat dengan huruf huruf tebal adalah pertanyaan dan kalimat dengan huruf huruf miring adalah jawabannya. Pertanyaan tidak disusun berdasar kriteria tertentu.

Apakah bisa ada discount?

Tidak, dari sabang sampai merauke harga adalah sama yaitu Rp 950 ribu rupiah.

Saya ingin aplikasi mempunyai fitur [...] dan tolong hasil print out nya dirubah menjadi [...] apa bisa dilakukan?

Masukan dari bapak/ibu sangat saya harapkan, bila masukan tersebut adalah mudah dan baik untuk kesempurnaan aplikasi ini dan secara umum berguna untuk apotek lain atau tidak spesifik hanya untuk apotek bapak/ibu maka perubahan tersebut akan saya lakukan secara cuma cuma.

Tetapi bila hal tersebut adalah sebaliknya, sulit dan spesifik, maka biaya diklasifikasikan dalam dua jenis yaitu biaya modifikasi form dan biaya modifikasi print out, dimana biayanya adalah :

  1. Biaya modifikasi form adalah Rp 100rb s/d Rp 300rb, tergantung kesulitan dan tingkat modifikasi terhadap aplikasi.
  2. Biaya modifikasi print out (seluruh hal yang berhubungan dengan pencetakan ke printer) misal laporan, struk dsb adalah Rp 250rb s/d Rp 500rb, tergantung dari tingkat kesulitan dan modifikasi.

Sebelum modifikasi dilakukan maka saya akan memberikan detail biaya modifikasi, setelah biaya disepakati dan dilunasi/ditransfer, baru modifikasi dilakukan.

Bagaimana cara pembelian dan pembayaran aplikasi ini?

CD Aplikasi akan dikirimkan melalui POS/Tiki setelah biaya demo (Rp100rb) atau biaya pembelian (Rp 950rb) sudah diterima yaitu melalui rekening-rekening berikut :

Rek BCA | 28011 90300 (Cab Kiara Condong, Bandung)
Rek Lippo | 314 10 63521 1(a.n Teti Hastati, Cab Rawasari Jakpus)
Rek Mandiri | 123 000 503 9633 (a.n Teti Hastati)

Kecuali saya sudah meninggal dunia, Insya Allah CD pasti akan terkirim. Setelah masa demo berakhir (2 minggu) maka Aplikasi harus di registrasi supaya bisa terus digunakan

Saya ingin bertemu dan mendapatkan demo aplikasi secara langsung, apa bisa?

Bila hal tersebut dimungkinkan, maka akan saya lakukan, tapi mengingat kesibukan saya maka hal tersebut agak sulit dilakukan, itu sebabnya saya membuat file help selengkap ini agar semua pertanyaan yang mungkin muncul bisa terjawab dan terpuaskan.

Seandainya hal tersebut dimungkinkan, maka mohon maaf, saya akan meminta biaya transportasi tergantung jarak dari lokasi tempat tinggal saya.

Saya lupa password administratornya, bagaimana cara untuk mengembalikannya?

Untuk AKUA Single Client Saya akan menjawab Tidak Bisa !, karena aplikasi sengaja saya bikin tidak bisa (sulit) dibongkar, walaupun mungkin bisa, tapi hal tersebut memakan waktu dan pikiran, jadi bila password tersebut hilang, maka itu adalah kesalahan administrator, jagalah baik baik password tersebut dan akan saya tolak mentah mentah untuk permintaan mengembalikan password tersebut walau dibayar berapa pun.

Untuk AKUA Multi Client ada dua password yang terlibat yaitu password database dan password aplikasi, selama komputer server masih bisa diakses maka password database masih bisa di set ulang bila lupa. sedangkan password aplikasi juga masih bisa di rubah selama password database masih bisa diakses, tetapi tetap, permintaan akan saya tolak, karena masih akan memakan waktu dan resiko untuk mengembalikan password-password tersebut.

Cara satu-satunya untuk kembali menggunakan aplikasi adalah mengulang dari awal lagi.

Saya menemukan error, apa yang harus saya lakukan?

Lakukan re-create/penimbulan ulang error tersebut dan catat langkah langkah mendetil sebelum memberitahukan kami via email di agungsp2000@yahoo.com , update atas error adalah gratis. Sebisa mungkin, dengan segala keterbatasan saya sebagai manusia, semua error tidak akan menyebabkan hal fatal terhadap data karena sudah di jebak secara program. Sehingga walaupun ada error yang muncul aplikasi tetap masih bisa digunakan.

Alhamdulillah sejak tahun 2003 saya belum menerima laporan error, tetapi hanya beberapa laporan kesalahan perhitungan dan kelambatan dari aplikasi yang setelah di cek ulang ternyata kesalahan entri dari kasir dan sistem programming yang kurang optimal, bukan hal fatal.

Saya ingin membatasi hak akses karyawan saya sehingga data tidak bocor, apa bisa?

Hal tersebut sudah tertangani di menu securiti, dimana selain melakukan penambahan data login, data login tersebut juga bisa dibatasi hak aksesnya, apakah hanya bisa melakukan transaksi penjualan saja, pembelian saja dalan lainnya, silakan baca bagian tersebut agar lebih jelas.

Saya sudah mempunyai aplikasi yang lama, apa bisa data tersebut di impor ke AKUA?

Maaf, Tidak Bisa, bila anda cukup paham sistem database, hal tersebut mungkin saja dilakukan tapi hal itu diluar tanggung jawab saya.

Mengapa aplikasi berjalan lambat sekali?

Untuk apotek dengan data produk yang cukup besar maka agar aplikasi berjalan ringan tambahkan memori dan upgrade prosesor komputer dengan yang lebih cepat.

Apakah saya bisa jadi reseller untuk AKUA didaerah saya?

Terima Kasih atas minatnya namun maaf, untuk saat ini belum ada rencana ke arah tersebut. Dibandingkan aplikasi sejenis di internet yang sekelas dengan AKUA, untuk saat ini AKUA adalah yang paling murah (dijamin tidak murahan J), tidak banyak keuntungan yang saya dapatkan dari sini, jadi seandainya ada reseller maka mau tidak mau harga harus dinaikkan, itu yang saya hindari.

CD Installer saya rusak, bagaimana mendapatkan gantinya?

Bila anda klien saya, silahkan lakukan permintaan kirim CD Installer baru dengan membayar ongkos kirim saja, tergantung jarak kirimnya, bila menggunakan POS (>1 minggu baru tiba) biaya adalah gratis, tapi bila ingin cepat akan dikirim via TIKI tapi biayanya cukup mahal (antara Rp 10rb s/d Rp 40rb), mohon dimaklum.

Harddisk saya terpaksa diformat kenapa aplikasi tidak bisa diregister dengan data yang diberikan sebelumnya?

Usahakan bila hendak menginstall ulang windows, jangan melakukan format , karena hal tersebut akan menghapus seluruh data register yang ada.

Dan untuk hal hal force majeur lainnya, misal harddisk jatuh, tersambar petir atau hilang, selama anda bisa membuktikan atau dengan prasangka baik saya, register ulang bisa dilakukan satu kali, setelah itu mohon maaf, anda harus membayar stengah dari harga aplikasi untuk register berikutnya.

Apa Windows 2003 Server bisa digunakan sebagai sistem operasi pada server?

Ya, walaupun saat instalasi Database Server akan memunculkan dialog bahwa Windows 2003 Server tidak kompatibel, tapi bila diacuhkan Database server tersebut akan berjalan baik dan normal, tapi mohon diperhatikan MS SQL Server 2000 ada beberapa versi, versi yang disertakan dalam CD Installer adalah versi Developer Edition, satu satu nya versi yang bisa jalan di MS Windows 2003, untuk versi yang lain akan ditolak sama sekali oleh MS Windows 2003 Server.

Saya menggunakan Windows 95 apa AKUA bisa berjalan menggunakan sistem operasi itu?

AKUA sudah dites berjalan dengan baik mulai Windows 98 hingga Windows 2003, windows 95 mirip dengan windows 98 seharusnya AKUA akan berjalan dengan baik dan normal, tapi tidak dianjurkan menggunakan sistem tersebut karena ketidakstabilan nya.

Disarankan minimal menggunakan Sistem Operasi Windows 2000/XP dengan sistem file NTFS, karena NTFS mempunyai verifikasi ketat dalam penulisan data, sehingga bila untuk apotek dengan sistem kelistrikan yang tidak stabil kerusakan data akibat lost cluster yang sering dialami oleh Keluarga sistem operasi Windows 9x bisa dihindari.

Legalitas Database & Sistem Operasi bagaimana?

Legalitas diluar tanggung jawab saya, yaitu untuk sistem operasi dan database yang disertakan dalam CD Installer adalah Installer Aplikasi dan Installer Database MS SQL Server 2000 Developer Edition yang memang boleh untuk di sebarkan tapi untuk penggunaan secara resmi lisensi tetap harus diusahakan, apotek bisa mengusahakan hal tersebut ke dealer Microsoft terdekat di kota masing masing.


Instalasi Dan Start Awal

Dibagian ini bisa dipelajari mengenai instalasi dari aplikasi dan apa saja yang harus dipenuhi agar aplikasi bisa mulai digunakan.


AKUA Single Client

Jalankan setup.exe dari CD Installer yang didapatkan. kemudian ikuti instruksi yang diberikan oleh aplikasi installer seperti berikut :

Tekan Next

Pilih I Agree bila anda setuju dan tekan Next

Pilih Folder tempat aplikasi ini akan diinstall, dan tekan next.

Bila terjadi dialog error yang muncul, acuhkan saja, klik tombol OK, error yang muncul adalah masalah proteksi dari operating system, biasa nya terjadi pada operating system Windows 2000, karena aplikasi ini didevelop dalam operating system windows XP.


AKUA Multi Client

Secara garis besar sistem multi client bisa digambarkan sebagai berikut :

Dimana hubungan antara server dan client adalah menggunakan koneksi TCP/IP melalui ethernet network card, supaya sistem berjalan selanjutnya adalah :

Pada Server harus terpasang :
- Sistem Operasi Microsoft Windows 2000 Server
- Database Server Microsoft SQL Server 2000
- MDAC (Microsoft Data Access Control)
- Aplikasi S.I.M Apotek versi Multi Client (bila dibutuhkan)

Pada Client harus terpasang :
- Sistem Operasi Windows 98, XP atau 2000
- MDAC (Microsoft Data Access Control)
- Aplikasi S.I.M Apotek versi Multi Client


Server

Di komputer server ada dua hal yang harus diinstal yaitu

  1. Sistem Operasi Server
  2. Database Server

Sistem operasi yang dibutuhkan adalah minimal Microsoft Windows 2000 Server sedangkan database server menggunakan Microsoft SQL Server Database.

Untuk server hardware minimal yang dibutuhkan adalah hardware yang bisa mendukung sistem operasi Microsoft Windows 2000 Server, secara optimal, spesifikasi minimal yang umum adalah Prosesor sekelas dengan Intel Pentium III 700 MHz dan memiliki Memori minimal 256 MB, tapi lebih baik spesifikasinya semakin baik pula performa aplikasi, terutama untuk apotek dengan data produk yang sangat banyak. Dan sebuah keharusan bahwa server ini dilengkapi dengan Network Card, agar bisa berhubungan dengan client client nya.

Untuk pemanfaatan lisensi S.I.M Apotek secara efisien, sebaiknya aplikasi apotek tidak perlu dipasang di server, karena server diperlukan hanya untuk database saja.

Tapi bila diperlukan untuk instalasi tersebut, maka silahkan ikuti petunjuk instalasi aplikasi di client yang tersedia hingga selesai. Dikarenakan Instalasi ini dibuat dalam Windows XP, dengan sistem yang lebih baru, kadang kadang muncul dialog error saat menginstall di Windows 2000 yg memiliki sistem lebih lama, acuhkan saja dan tekan tombol OK, hingga proses Instalasi Selesai.


Client

Untuk client, tidak dibutuhkan spesifikasi yang tinggi cukup hardware yang minimal bisa menjalankan sistem operasi Microsoft Windows 98 secara optimal dan hardware tersebut lengkap memiliki Network Card yang mendukung koneksi TCP/IP


Install Database MS SQL Server

Legalitas Database yang disediakan oleh kami adalah adalah diluar tanggung jawab kami, harap membeli lisensi pada yang bisa menyediakannya, CD Installer kami sediakan sebagai alat bantu saja.

Silahkan ikuti langkah langkah instalasi database seperti tercantum dibawah ini.

1. Layar Pertama, Pilih lah SQL Server 2000 component

2. Layar Kedua, Pilih Install Database Server

3. Click Next

4. Pilih Local Computer dan Click Next

5. Pilih Create a new instance dan click Next

6 Isikan Nama dan Company yang sesuai

7. Click Yes bila anda setuju dengan perjanjian yang dibuat

8. Pilih Server dan Client Tools dan click next

9. Pilih Default dan click Next

10. Pilih typical saja, tapi bila anda cukup paham akan apa yang anda lakukan silahkan lakukan sesuai kebutuhan anda.

11. Pilih use the same account dan pilih use local system account kemudian next

12. Pilih Mixed mode, dan isikan password nya, ingat baik baik password ini karena ini adalah hal yang sangat penting, hal ini penting karena bila password terlupa, database terpaksa harus diinstall ulang.

13. Tekan Next dan Setup akan mulai meng install, harap tunggu beberapa menit... Data tentang database sudah cukup, tinggal masalah lisensi, ikuti layar selanjutnya

14. Untuk sistem licensi, pilih yang prosesor dengan 1 prosesor saja.

15. Instalasi Database Selesai


Install Database mySQL Server

Berikut adalah informasi mengenai instalasi database mysql untuk tipe AKUA Multi client dengan menggunakan database mysql sebagai back-end nya.

Step stepnya adalah

  1. Install database mysql
  2. Install Management software sql-yog
  3. set user untuk akses database


Install Database mySQL

1. Jalankan File instalasi xampp yang disertakan, dan pilih target untuk extract installer nya

2. Tunggu proses hingga selesai

3. Akan muncul folder hasil extract

4. Masuk kedalam folder dan jalankan xampp control

5. Setelah muncul control panel, perhatikan bagian mysql, bagian svc dan tombol start

6. Svc adalah service, artinya, setiap windows start, maka otomatis database akan dijalankan, centang pilihan tersebut kemudian tekan tombol start

7. Bila proses berhasil, maka akan muncul tulisan running


Install mySQL Management Software

1. Jalankan installer aplikasi sql yog, untuk manager mysql, untuk pertama, sqlyog ini harus dijalankan diserver dimana mysql terinstall.

2. Pilih setuju dengan perjanjian yang dimunculkan

3. Pilih target instalasi aplikasi sql yog ini

4. Tunggu proses hingga selesai

5. Tekan finish bila sudah selesai

6. Saat pertama dijalankan akan muncul layar registrasi, pilih register later

7. Disini adalah proses untuk setting koneksi ke server, klik tombol new untuk membuat setting baru

8. Beri nama server atau nama lainnya

9. Untuk awal isikan seperti berikut, username = root, password kosongkan, tekan connect untuk terhubung ke database, kemudian lanjutkan ke informasi mengenai set mysql user


Set mySQL User

1. Setelah database terhubung, masuk ke menu edit user seperti dibawah ini

2. Buat user baru yaitu root@% dengan cara seperti dibawah

3. Kemudian pilih root-root lainnya, untuk dihapus


Install Aplikasi

Untuk instalasi aplikasi baik AKUA single maupun multi adalah mirip, silahkan ikuti petunjuk instalasi aplikasi dibagian petunjuk Instalasi AKUA Single Client


Pendukung Aplikasi

Saat menggunakan aplikasi diatas sistem operasi MS Windows 98, kadang kadang ditemukan masalah karena sistem operasi ini sudah cukup lama, tapi dalam CD Installer sudah disiapkan aplikasi pendukung agar masalah tersebut tidak muncul.

Aplikasi tersebut terletak di folder support. yaitu MDAC dan VB Runtime. Instalasi aplikasi ini cukup mudah silahkan dobel klik pada MDAC_TYP 2.5.EXE atau MDAC_TYP 2.8.EXE dan ikuti petunjuk yang menyertai installer tersebut, begitu juga dengan VB Runtime.

Khusus untuk Sistem Operasi Windows 98 ada beberapa kasus MDAC ver 2.8 tidak akan berjalan tapi bila diinstall versi 2.5 akan berjalan.


Registrasi Aplikasi

Program harus di registrasi agar bisa digunakan secara penuh, versi demo tidak bisa melakukan pencetakan ke printer.

Cara registrasi adalah, dari menu help pilih about, setelah form nya muncul, isikan data nama dan nama apotek, maka sebuah seed akan dibuatkan untuk kombinasi nama dan nama apotek tersebut, kirimkan pada developer (via sms ke 0818438610), dari ketiga data ini, akan dibalas oleh developer dengan mengirimkan serial number yang kemudian akan anda isikan pada bagian nomer serial. Aplikasi akan berfungsi penuh bila semua data ini telah diisi.


Bagaimana Untuk Mulai

Sebelum aplikasi bisa digunakan mencatat transaksi maka data data pendukung harus diisikan terlebih dahulu.

Data data tersebut bisa diisikan melalui entri entri yang terdapat di Menu Data, urutan pengisian sudah didesain berurutan dari atas kebawah, jadi mulailah mengisi dari data kategori, supplier terus hingga Notes. Lebih jelas mengenai entri entri tersebut bisa dilihat di bagian Menu Data

Tapi saat awal sekali penggunaan aplikasi, Options harus diset dulu oleh administrator, ikuti petunjuknya di bagian set Options


Login

Login adalah layar pertama saat aplikasi berjalan, layar ini berfungsi layaknya pintu, dimana pengguna harus mempunyai kunci yang tepat untuk membuka pintu tersebut, maka dia harus mempunyai kode akses yang cocok sebelum bisa melewati layar login ini.

Data login user/pengguna dibuat atau ditambahkan dilayar securiti, data tersebut dibuatkan oleh administrator.

Lebih jauh mengenai akses antara aplikasi dengan database, bisa dilihat dibagian Operasi Database, agar bisa lebih memahami cara kerja aplikasi ini.


Login AKUA Single Client

Layar diatas adalah layar login untuk aplikasi AKUA single client, sebelum tombol login bisa digunakan maka harus membuat atau memilih database yang akan digunakan dahulu.

Buat Database

tekan tombol ini untuk membuat database kosong sebagai awal mulai digunakannya aplikasi

  1. ketikkan nama yang dikehendaki untuk database tersebut
  2. tekan login, kemudian buatkan password untuk user administrator

Pilih Database

tekan tombol ini untuk menggunakan database yang sudah ada, sebagai file kerja dari aplikasi

  1. Pilih database yang dikehendaki
  2. masukkan user dan password, kemudian login

selanjutnya, lakukan login langsung, tanpa perlu memilih database lagi.

Untuk AKUA single client, saat awal instalasi disertakan demo database yaitu aespeApotik-DemoData.mdb

Untuk berlatih dan mencoba coba atau memperlancar penggunaan, pilih database aespeApotik-Demodata.mdb, didalamnya sudah ada beberapa data produk yang dientrikan, bila sudah lancar maka lakukan Pemilihan database aespeApotik-Kosong.mdb untuk mulai dengan data yang sesungguhnya

Dibawah adalah tampilan saat tombol Pilih Database ditekan. pilih database yang dikehendaki dan tekan tombol open.

Untuk database Demo, login nya adalah administrator dengan password kosong (tidak harus diisi) langsung tekan tombol login saja.

Bila database kosong yang dipilih, yaitu saat aplikasi ini benar benar akan dimulai, maka setelah tombol login ditekan akan dialog seperti ini yang muncul, yaitu pemberitahuan bahwa user administrator belum ada, maka aplikasi akan meminta untuk dibuatkan password untuk user administratorini.

Isikan password untuk si administrator pada layar berikut yang muncul.

INGAT BAIK BAIK PASSWORD DARI ADMINISTRATOR INI, JANGAN SAMPAI HILANG/LUPA, KARENA TIDAK AKAN BISA DIKEMBALIKAN LAGI BILA HAL ITU TERJADI.


Login AKUA Multi Client

Diatas adalah layar login untuk AKUA multi client, ada dua bagian dari layar login ini yaitu :

  1. Koneksi Database
  2. Login Karyawan

Koneksi Database

Ada empat variabel untuk koneksi database mereka adalah :

  1. Server, data ini adalah IP Address dari server yang bisa diakses oleh client, bila aplikasi terinstal dan diakses dari server maka IP Address bisa diisikan 127.0.0.1 atau . (titik), selain itu tanyakan pada administrator/teknisi jaringan berapa IP Address dari server tersebut.
  2. Database, isikan nama database yang dikehendaki, usahakan dalam satu kata saja, aplikasi otomatis akan membuatkan database tersebut bila belum ada di server.
  3. User adalah login yang dibuat saat database diinstall
  4. Password juga adalah data yang dibuat saat database diinstall

Login Karyawan/Pengguna

Data ini adalah data entri yang dibuatkan oleh administrator di menu securiti isikan dengan yang sesuai kemudian tekan connect.

Login Awal Aplikasi

Dibawah ini adalah langkah langkah saat awal penggunaan pertama kali aplikasi

1. Isikan data koneksi database.

2. Saat aplikasi mendeteksi bahwa database belum ada (karena awal penggunaan) maka otomatis aplikasi akan membuatkan satu database dengan nama yang diisikan di entri Database koneksi ke server tersebut.

3. Tunggu hingga Aplikasi akan memunculkan dialog bahwa database sudah dibuatkan.

4. Saat aplikasi mendeteksi bahwa user administrator belum ada maka dia akan meminta untuk dibuatkan password untuk user administrator tersebut

5. Isikan password tersebut, INGAT JANGAN SAMPAI LUPA ATAU HILANG KARENA ITU AKAN MENYEBABKAN DATA HILANG KARENA TIDAK BISA DI AKSES

6. Isikan data user administrator dan password yang baru diisikan barusan, kemudian tekan connect untuk mulai menggunakan aplikasi .


Menu Data

Data data yang bisa di dimasukkan ke dalam sistem dan kemudian di pergunakan untuk mendukung kerja aplikasi adalah data Kategori Produk, data Supplier, data Produk, data Racikan, data Obat Sejenis (Alternatif), data Pelanggan, data Dokter dan data Instansi/Penjamin Pelanggan. Data data diatas harus diisi terlebih dahulu supaya transaksi bisa dilakukan dengan benar dan laporan bisa dibuat dengan baik.

Satu menu tambahan di menu data ini adalah Update Harga, yaitu untuk secara cepat merubah harga harga dari item yang dipilih.


Cara Entri Umum

Untuk keseluruhan entri entri menu data, akan dilengkapi empat tombol diatas yaitu New, Edit, Save dan Delete dimana masing masing bisa diakses secara cepat dengan menekan tombol ALT dan huruf bergaris bawah di masing masing tombol.

Keterangan tombol tombol tersebut adalah sebagai berikut :

  1. New, adalah berguna untuk mengentri data baru, saat tombol ini ditekan maka seluruh entri akan dikosongkan dan layar bersiap untuk menerima data baru yang diketikkan oleh pengguna.
  2. Edit, adalah untuk merubah atau memperbaiki data yang salah diketik, sebelum data itu bisa diedit, maka data itu harus dipilih dulu dari tabel daftar data dibawahnya, setelah entri entri terisi data yang hendak dirubah, maka tombol edit harus ditekan dulu sebelum data bisa diralat.
  3. Save, setelah entri diisi baik sebagai data baru atau hasil perubahan tekan save untuk menyimpannya.
  4. Delete, bila ada data yang hendak dihapus, maka pilih dulu data dari tabel data baru tekan tombol ini untuk menghapusnya, iyakan dialog konfirmasi yang menanyakan apakah anda yakin atau tidak bila hendak menghapus.


Kategori

Disini gunanya, mengisikan data data kategori dari produk produk yang ada, saat data produk diisikan maka persen keuntungan yang diambil adalah persen keuntungan dari kategori nya, tapi data tersebut bisa dirubah secara manual, untuk kasus kasus tertentu pada produk yang berbeda sendiri persen keuntungannya


Supplier

Disini adalah entri untuk data supplier


Produk

Untuk mengisi data produk attribut attribut yang harus diisi adalah :

  1. Kode Produk
  2. Deskripsi
  3. Satuan Beli
  4. Pengali
  5. Satuan Jual
  6. Check box Apakah Obat, data ini akan menentukan apakah produk akan muncul atau tidak di penjualan resep, hanya obat saja yang muncul di penjualan resep, baik tunai maupun kredit
  7. Supplier
  8. Komisi untuk dokter yang meresepkan obat ini
  9. Kategori
  10. Reorder Level, jumlah batas minimal saat produk harus di stok lagi
  11. Harga Per Satuan Beli
  12. % Untung, yang akan merupakan harga jual dengan mengisikan data ini adalah, harga per satuan beli dibagi dengan pengali + % untung ini
  13. Harga Per Satuan Jual
  14. Keterangan, yang bisa diisi informasi serba guna untuk produk tersebut, misalkan data indikasi, kontra indikasi, dosis dsb. berguna saat di form pencarian

Sedangkan informasi tambahan yang ada di layar ini adalah :

  • Stok saat ini
  • Tanggal terakhir produk tersebut di beli

Dibagian bawah dari layar ada fasilitas untuk pencarian, pertama pilih dulu bagian apa yang hendak dicari kemudian isikan teks yang akan dicari setelah itu tekan tombol filter, kegunaanya adalah, misalkan pilih bagian keterangan dan isi teks dengan obat batuk, data yang akan muncul adalah semua data produk yang merupakan obat batuk (asumsi bila semua data telah diisi dengan benar, yaitu data data obat batuk diisi keterangan obat batuk)


Racikan

Data racikan adalah formula dari beberapa item item, sehingga saat di transaksi jual, bila data racikan yang di jual, maka yang muncul di transaksi adalah semua item item pembentuk racikan tersebut.


Obat Sejenis / Alternatif

Data obat sejenis adalah untuk, mengisikan obat obat mana saja yang setipe dan bisa saling menggantikan, pilih dulu obat yang akan di set alternatifnya disebelah kiri, kemudian isikan data data obat yang sejenis dengan produk di sebelah kiri, di tabel sebelah kanan, setelah selesai tekan save.


Instansi / Penjamin

Ini adalah data instansi instansi yang bekerja sama dengan apotek. berguna juga saat mengisi data pelanggan, bila pelanggan tersebut dijamin oleh instansi instansi tersebut


Pelanggan

Data para pelanggan yang datang pada apotek, instansi bisa diisi manual atau memilih dari data data yang ada dari data instansi


Dokter

Ini adalah data para dokter yang berlokasi di apotek. berguna saat di transaksi penjualan resep.


Notes

Disini adalah gunanya untuk menyampaikan pesan dari pengguna ke administrator, disarankan agar administrator rajin membaca pesan pesan notes tersebut


Stok Opname

Untuk stok opname, pilih dulu produk yang hendak di edit/rubah jumlah stoknya.

Kemudian pengisian jumlah bisa ada dua macam, yaitu jumlah riil yang ada dalam inventori atau jumlah selisih perubahannnya.

Isikan keterangan perubahan jumlah tersebut agar saat dibuatkan laporan bisa jelas alasan perubahan yang dilakukan itu.


Menu Transaksi

Transaksi ada 2 macam yaitu Penjualan dan Pembelian. Tipe transaksi Penjualan terdiri dari 3 macam yaitu :
1. Penjualan Tanpa Resep, untuk apotek yang juga menjual selain obat dengan resep dokter
2. Penjualan Resep Tunai , untuk pelayanan resep dokter dengan pembayaran secara cash.
3. Penjualan Resep Kredit, untuk pelayanan resep dokter kepada pelanggan yang pembayarannya bisa dikredit atau pelanggan tersebut tagihannya ditanggung oleh perusahaan tempat dia bekerja.

Seluruh transaksi penjualan bisa digunakan secara multi entri , artinya bila sedang melayani seorang pelanggan, kemudian ada gangguan (misal dia hendak mengambil obat lain) sehingga belum bisa diselesaikan, kasir bisa membuka transaksi penjualan baru untuk pelanggan berikutnya. Saat pelanggan tadi kembali, transaksi untuk dia bisa dilanjutkan kembali atau bisa juga satu pelanggan hendak bertransaksi non resep dan resep secara sekaligus, maka kasir bisa membuka dua layar transaksi yaitu transaksi non resep dan transaksi resep tunai/kredit.

Tipe transaksi Pembelian juga terdiri dari 2 macam yaitu Pembelian Tunai dan Pembelian Kredit. Dari transaksi pembelian ini bisa diisikan nomer Batch dan expired date dari tiap produk yang dibeli.

Dari Penjualan dan Pembelian Secara kredit maka tentunya akan ada piutang maupun hutang, penanganan masalah piutang dan hutang yang sudah terlunasi juga bisa diakses dari manajemen transaksi ini.

Entri saat transaksi Penjualan maupun Pembelian, saat harus mengisikan kode produk bisa dilakukan dengan barcode scanner untuk memudahkannya, bisa juga dengan keyboard memilih daftar produk yang tersedia. Saat Transaksi jual akan ada option untuk memilih apakah akan mencetak bon atau tidak, seandainya tidak tercetak tapi ternyata dibutuhkan oleh client, maka bon bisa dicetak dengan utility re-print, sehingga bon bisa dicetak kapan saja.

Selain transaksi normal diatas, disediakan juga menu transaksi retur, baik untuk penjualan maupun pembelian, serta modul pemesanan yang akan membuat surat pesanan, dari pesanan ini bisa dirubah menjadi pembelian, saat pesanan tersebut tiba.


Penjualan Tanpa Resep

Berikut adalah tampilan layar entri Penjualan Non Resep, keterangan penggunaan bisa dilihat dibagian bawah.

Penjualan tanpa resep (tekan F2): Penjualan bukan berdasarkan resep, melainkan permintaan pelanggan secara langsung. Kategori produk yang dapat dijual tanpa resep adalah obat bebas, obat bebas terbatas, obat keras yang terdaftar dalam DOWA (daftar obat wajib apotek), obat luar, obat tradisional, alat kesehatan, kosmetika, makanan ringan, minuman, dan toiletris.

Deskripsi : nama produk yang dijual.

  • Tekan tombol huruf pada keyboard sesuai dengan huruf pertama nama produk yang dimaksud.
  • Tekan tombol huruf tersebut sampai nama produk yang dimaksud muncul.
  • Tekan enter bila nama produk yang dimaksud akan dipilih.

Kemasan : bentuk kemasan jual suatu produk.

  • Kemasan akan otomatis terisi, sesuai dengan nama produk yang telah dipilih dalam kolom deskripsi.

Harga satuan : harga produk per satuan jual.

  • Harga satuan akan otomatis terisi, sesuai dengan nama produk yang telah dipilih dalam kolom deskripsi.

Jumlah : banyaknya kemasan produk yang dijual.

  • Ketik angka yang dimaksud.
  • Tekan enter.

Jumlah (Rp) : harga satuan dikali jumlah

  • Jumlah otomatis terisi sesuai dengan rumus di atas.
  • Untuk menambah produk yang dijual, tekan enter, lakukan langkah mulai dari deskripsi, dan seterusnya.

Harga : total jumlah(Rp)

  • Harga otomatis terisi sesuai dengan rumus di atas.

Potongan (%) : potongan/diskon harga yang diberikan untuk pelanggan atas pembeliannya terhadap sejumlah produk.

  • Tekan tab untuk sampai ke kolom potongan.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Jasa : tambahan biaya yang dikenakan kepada pelanggan karena tambahan kerja yang diberikan oleh petugas apotek.

  • Tekan tab untuk sampai ke kolom jasa.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Harga total (+PPn) : total jumlah(Rp) – {potongan(%) x harga total peroduk yang dibeli} + jasa + PPn

  • Harga total otomatis terisi sesuai dengan rumus di atas.
  • Harga total akan muncul di sebelah kiri bawah layar.

Bayar : uang yang diberikan oleh pelanggan.

  • Tekan tab untuk sampai ke kolom bayar.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Kembalian : bayar dikurangi harga total

  • Kembalian otomatis terisi sesuai dengan rumus di atas.
  • Kembalian akan muncul di sebelah kiri bawah layar.

Print Bon : untuk penghematan, mungkin tidak semua pelanggan yang datang membutuhkan struk, maka opsi ini bisa dimatikan bila tidak akan mencetak struk tersebut. tapi bila suatu saat dibutuhkan, struk bisa di print ulang lewat layar Histori Penjualan

Ok : transaksi diterima.

  • Tekan tab untuk sampai ke kolom Ok.
  • Tekan enter.
  • Muncul tampilan yang akan di print.
  • Transaksi akan disimpan dalam memori di komputer dan jumlah masing-masing produk yang dijual akan otomatis mengurangi stok produk dalam data produk.

Batal : transaksi dibatalkan.

  • Tekan tab untuk sampai ke kolom batal.
  • Tekan enter.
  • Muncul tampilan pertanyaan untuk konfirmasi pembatalan transaksi
  • Enter tombol yes, untuk mengiyakan, artinya transaksi jadi dibatalkan. Tampilan layar akan kembali ke tampilan awal.
  • Enter tombol no, untuk membatalkan, artinya transaksi tidak jadi dibatalkan. Tampilan layar akan kembali ke tampilan sebelumnya.
  • Bila transaksi dibatalkan, transaksi tidak akan disimpan dalam memori di komputer.


Penjualan Resep Tunai

Berikut adalah tampilan layar transaksi Penjualan Resep Tunai

Penjualan resep tunai (tekan F3) : penjualan berdasarkan resep dokter, mencakup resep racikan dan non racikan. Kategori produk yang dijual berdasarkan resep adalah obat bebas, obat bebas terbatas, obat keras, narkotika, alat kesehatan, dan obat luar.

Nama pelanggan : nama orang yang datang ke apotek.

  • Tekan panah atas/bawah untuk mencari nama yang dimaksud berdasarkan data pelanggan.
  • Bila nama yang dimaksud tidak muncul, berarti belum terdapat dalam data pelanggan, oleh karena itu masukan nama ke dalam data pelanggan terlebih dahulu.
  • Lakukan lagi langkah pertama.
  • Tekan enter bila muncul nama yang dipilih.

Pasien : nama pasien yang sakit

  • Data ini secara otomatis adalah nama pelanggan itu sendiri, tapi bisa dirubah menjadi nama anak/istri/suami dari pelanggan tersebut

Alamat : alamat jelas pelanggan.

  • Alamat otomatis terisi, sesuai dengan nama pelanggan yang dipilih, berdasarkan data dalam data pelanggan.
  • Tekan enter untuk menuju ke kolom berikutnya.

Nama dokter : nama dokter yang memberikan/menulis resep.

  • Tekan panah atas/bawah untuk mencari nama yang dimaksud berdasarkan data dokter.
  • Bila nama yang dimaksud tidak muncul, berarti belum terdapat dalam data dokter, oleh karena itu masukan nama ke dalam data dokter terlebih dahulu.
  • Lakukan lagi langkah pertama.
  • Tekan enter bila muncul nama yang dipilih.

Alamat dokter : alamat jelas dokter.

  • Alamat dokter otomatis terisi, sesuai dengan nama dokter yang dipilih, berdasarkan data dalam data dokter.
  • Tekan enter untuk menuju ke kolom berikutnya.

No Resep : Isikan nomer resep yang digunakan, kosongkan bila tidak diperlukan

Deskripsi : nama produk yang dijual.

  • Tekan tombol huruf pada keyboard sesuai dengan huruf pertama nama produk yang dimaksud.
  • Tekan tombol huruf tersebut sampai nama produk yang dimaksud muncul.
  • Tekan enter bila nama produk yang dimaksud akan dipilih.

Kemasan : bentuk kemasan jual suatu produk.

  • Kemasan akan otomatis terisi, sesuai dengan nama produk yang telah dipilih dalam kolom deskripsi.

Harga satuan : harga produk per satuan jual.

  • Harga satuan akan otomatis terisi, sesuai dengan nama produk yang telah dipilih dalam kolom deskripsi.

Jumlah : banyaknya kemasan produk yang dijual.

  • Ketik angka yang dimaksud.
  • Tekan enter.

Jumlah (Rp) : harga satuan dikali jumlah

  • Jumlah otomatis terisi sesuai dengan rumus di atas.
  • Untuk menambah produk yang dijual, tekan enter, lakukan langkah mulai dari deskripsi, dan seterusnya.

Harga : total jumlah(Rp)

  • Harga otomatis terisi sesuai dengan rumus di atas.

Potongan (%) : potongan/diskon harga yang diberikan untuk pelanggan atas pembeliannya terhadap sejumlah produk.

  • Tekan tab untuk sampai ke kolom potongan.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Jasa : tambahan biaya yang dikenakan kepada pelanggan karena tambahan kerja yang diberikan oleh petugas apotek.

  • Tekan tab untuk sampai ke kolom jasa.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Harga total (+PPn) : total jumlah(Rp) – {potongan(%) x harga total peroduk yang dibeli} + jasa + PPn

  • Harga total otomatis terisi sesuai dengan rumus di atas.
  • Harga total akan muncul di sebelah kiri bawah layar.

Bayar : uang yang diberikan oleh pelanggan.

  • Tekan tab untuk sampai ke kolom bayar.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Kembalian : bayar dikurangi harga total

  • Kembalian otomatis terisi sesuai dengan rumus di atas.
  • Kembalian akan muncul di sebelah kiri bawah layar.

Print Bon : untuk penghematan, mungkin tidak semua pelanggan yang datang membutuhkan struk, maka opsi ini bisa dimatikan bila tidak akan mencetak struk tersebut. tapi bila suatu saat dibutuhkan, struk bisa di print ulang lewat layar Histori Penjualan

Ok : transaksi diterima.

  • Tekan tab untuk sampai ke kolom Ok.
  • Tekan enter.
  • Muncul tampilan yang akan di print.
  • Transaksi akan disimpan dalam memori di komputer dan jumlah masing-masing produk yang dijual akan otomatis mengurangi stok produk dalam data produk.

Batal : transaksi dibatalkan.

  • Tekan tab untuk sampai ke kolom batal.
  • Tekan enter.
  • Muncul tampilan pertanyaan untuk konfirmasi pembatalan transaksi
  • Enter tombol yes, untuk mengiyakan, artinya transaksi jadi dibatalkan. Tampilan layar akan kembali ke tampilan awal.
  • Enter tombol no, untuk membatalkan, artinya transaksi tidak jadi dibatalkan. Tampilan layar akan kembali ke tampilan sebelumnya.
  • Bila transaksi dibatalkan, transaksi tidak akan disimpan dalam memori di komputer.


Penjualan Resep Kredit

Berikut adalah tampilan layar transaksi Penjualan Resep Kredit

Penjualan resep kredit (tekan F4) : penjualan berdasarkan resep dokter, mencakup resep racikan dan non racikan, dimana pelanggan/pasien bekerja pada suatu instansi atau perusahaan yang telah menjalin hubungan kerja sama dengan apotek.

Nama Karyawan : nama orang yang tertanggung oleh instansi .

  • Tekan panah atas/bawah untuk mencari nama yang dimaksud berdasarkan data pelanggan.
  • Bila nama yang dimaksud tidak muncul, berarti belum terdapat dalam data pelanggan, oleh karena itu masukan nama ke dalam data pelanggan terlebih dahulu.
  • Lakukan lagi langkah pertama.
  • Tekan enter bila muncul nama yang dipilih.

Pasien : nama pasien yang sakit, bisa nama karyawan atau anak/istri/suami dari karyawan tersebut.

  • Secara otomatis nama yang terisi adalah nama karyawan tapi bisa di pilih dan dirubah.

Alamat : alamat jelas pelanggan.

  • Alamat otomatis terisi, sesuai dengan nama pelanggan yang dipilih, berdasarkan data dalam data pelanggan.
  • Tekan enter untuk menuju ke kolom berikutnya.

Instansi/penjamin : nama instansi yang menjalin hubungan kerja sama dengan apotek, tempat pelanggan/pasien bekerja.

  • Instansi/penjamin otomatis terisi, sesuai dengan nama pelanggan yang dipilih, berdasarkan data dalam data pelanggan.

Nama dokter : nama dokter yang memberikan/menulis resep.

  • Tekan panah atas/bawah untuk mencari nama yang dimaksud berdasarkan data dokter.
  • Bila nama yang dimaksud tidak muncul, berarti belum terdapat dalam data dokter, oleh karena itu masukan nama ke dalam data dokter terlebih dahulu.
  • Lakukan lagi langkah pertama.
  • Tekan enter bila muncul nama yang dipilih.

Alamat dokter : alamat jelas dokter.

  • Alamat dokter otomatis terisi, sesuai dengan nama dokter yang dipilih, berdasarkan data dalam data dokter.
  • Tekan enter untuk menuju ke kolom berikutnya.

No Resep : Isikan nomer resep yang digunakan, kosongkan bila tidak diperlukan

Deskripsi : nama produk yang dijual.

  • Tekan tombol huruf pada keyboard sesuai dengan huruf pertama nama produk yang dimaksud.
  • Tekan tombol huruf tersebut sampai nama produk yang dimaksud muncul.
  • Tekan enter bila nama produk yang dimaksud akan dipilih.

Kemasan : bentuk kemasan jual suatu produk.

  • Kemasan akan otomatis terisi, sesuai dengan nama produk yang telah dipilih dalam kolom deskripsi.

Harga satuan : harga produk per satuan jual.

  • Harga satuan akan otomatis terisi, sesuai dengan nama produk yang telah dipilih dalam kolom deskripsi.

Jumlah : banyaknya kemasan produk yang dijual.

  • Ketik angka yang dimaksud.
  • Tekan enter.

Jumlah (Rp) : harga satuan dikali jumlah

  • Jumlah otomatis terisi sesuai dengan rumus di atas.
  • Untuk menambah produk yang dijual, tekan enter, lakukan langkah mulai dari deskripsi, dan seterusnya.

Harga : total jumlah(Rp)

  • Harga otomatis terisi sesuai dengan rumus di atas.

Potongan (%) : potongan/diskon harga yang diberikan untuk pelanggan atas pembeliannya terhadap sejumlah produk.

  • Tekan tab untuk sampai ke kolom potongan.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Jasa : tambahan biaya yang dikenakan kepada pelanggan karena tambahan kerja yang diberikan oleh petugas apotek.

  • Tekan tab untuk sampai ke kolom jasa.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Harga total (+PPn) : total jumlah(Rp) – {potongan(%) x harga total peroduk yang dibeli} + jasa + PPn

  • Harga total otomatis terisi sesuai dengan rumus di atas.
  • Harga total akan muncul di sebelah kiri bawah layar.

Bayar : uang yang diberikan oleh pelanggan.

  • Tekan tab untuk sampai ke kolom bayar.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Kembalian : bayar dikurangi harga total

  • Kembalian otomatis terisi sesuai dengan rumus di atas.
  • Kembalian akan muncul di sebelah kiri bawah layar.

Print Bon : untuk penghematan, mungkin tidak semua pelanggan yang datang membutuhkan struk, maka opsi ini bisa dimatikan bila tidak akan mencetak struk tersebut. tapi bila suatu saat dibutuhkan, struk bisa di print ulang lewat layar Histori Penjualan

Ok : transaksi diterima.

  • Tekan tab untuk sampai ke kolom Ok.
  • Tekan enter.
  • Muncul tampilan yang akan di print.
  • Transaksi akan disimpan dalam memori di komputer dan jumlah masing-masing produk yang dijual akan otomatis mengurangi stok produk dalam data produk.

Batal : transaksi dibatalkan.

  • Tekan tab untuk sampai ke kolom batal.
  • Tekan enter.
  • Muncul tampilan pertanyaan untuk konfirmasi pembatalan transaksi
  • Enter tombol yes, untuk mengiyakan, artinya transaksi jadi dibatalkan. Tampilan layar akan kembali ke tampilan awal.
  • Enter tombol no, untuk membatalkan, artinya transaksi tidak jadi dibatalkan. Tampilan layar akan kembali ke tampilan sebelumnya.
  • Bila transaksi dibatalkan, transaksi tidak akan disimpan dalam memori di komputer.


Pembelian

Berikut adalah tampilan layar untuk transaksi Pembelian

Pembelian (tekan F10) : pembelian produk dari suplier, berdasarkan nomor faktur.

Cash/kredit : pembelian yang dilakukan, dibayar secara cash atau kredit.

  • Tekan tab untuk menuju ke kolom cash, bila pembelian dilakukan secara cash.
  • Tekan panah bawah untuk menuju ke kolom kredit, bila pembelian dilakukan secara kredit.

Supplier : Pilih supplier untuk bertransaksi, bila belum ada, isikan terlebih dulu di data supplier

No faktur : nomor faktur yang berasal dari suplier.

  • Ketik huruf atau angka sesuai dengan nomor faktur yang dimaksud.
  • Tekan tab untuk menuju ke kolom berikutnya.

Tanggal faktur : tanggal faktur tersebut diterima dari suplier.

  • Tanggal yang muncul pertama kali adalah otomatis tanggal hari ini.
  • Bila tanggal yang dimaksud, bukan tanggal hari ini, ketik tanggal yang dimaksud dengan mengganti point tanggal, bulan, dan tahun. Dari point tanggal menuju ke point bulan, tekan panah kanan. Begitu juga untuk menuju ke point tahun.
  • Tekan tab untuk menuju ke kolom berikutnya

Deskripsi : nama produk yang dijual.

  • Tekan tombol huruf pada keyboard sesuai dengan huruf pertama nama produk yang dimaksud.
  • Tekan tombol huruf tersebut sampai nama produk yang dimaksud muncul.
  • Tekan enter bila nama produk yang dimaksud akan dipilih.

Batch : isikan nomer batch dari barang yang dibeli.

Tanggal Kadaluarsa : isikan tanggal kadaluarsa bila ada dari barang yang dibeli, barang barang yang akan kadaluarsa dalam 120 hari (4 bulan) lagi, akan muncul di layar alert/peringatan (bisa diakses via F11), sehingga barang tersebut bisa di retur atau di proses lebih lanjut dengan tindakan yang sesuai

Kemasan : bentuk kemasan jual suatu produk.

  • Kemasan akan otomatis terisi, sesuai dengan nama produk yang telah dipilih dalam kolom deskripsi.

Harga satuan : harga produk per satuan jual.

  • Harga satuan akan otomatis terisi, sesuai dengan nama produk yang telah dipilih dalam kolom deskripsi.

Jumlah : banyaknya kemasan produk yang dijual.

  • Ketik angka yang dimaksud.
  • Tekan enter.

Jumlah (Rp) : harga satuan dikali jumlah

  • Jumlah otomatis terisi sesuai dengan rumus di atas.
  • Untuk menambah produk yang dijual, tekan enter, lakukan langkah mulai dari deskripsi, dan seterusnya.

Harga : total jumlah(Rp)

  • Harga otomatis terisi sesuai dengan rumus di atas.

Potongan (%) : potongan/diskon harga yang diberikan untuk pelanggan atas pembeliannya terhadap sejumlah produk.

  • Tekan tab untuk sampai ke kolom potongan.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Jasa : tambahan biaya yang dikenakan kepada pelanggan karena tambahan kerja yang diberikan oleh petugas apotek.

  • Tekan tab untuk sampai ke kolom jasa.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Harga total (+PPn) : total jumlah(Rp) – {potongan(%) x harga total peroduk yang dibeli} + jasa + PPn

  • Harga total otomatis terisi sesuai dengan rumus di atas.
  • Harga total akan muncul di sebelah kiri bawah layar.

Bayar : uang yang diberikan oleh pelanggan.

  • Tekan tab untuk sampai ke kolom bayar.
  • Ketik angka yang dimaksud.
  • Tekan tab untuk menuju kolom berikutnya.

Kembalian : bayar dikurangi harga total

  • Kembalian otomatis terisi sesuai dengan rumus di atas.
  • Kembalian akan muncul di sebelah kiri bawah layar.

Ok : transaksi diterima.

  • Tekan tab untuk sampai ke kolom Ok.
  • Tekan enter.
  • Muncul tampilan yang akan di print.
  • Transaksi akan disimpan dalam memori di komputer dan jumlah masing-masing produk yang dijual akan otomatis mengurangi stok produk dalam data produk.

Batal : transaksi dibatalkan.

  • Tekan tab untuk sampai ke kolom batal.
  • Tekan enter.
  • Muncul tampilan pertanyaan untuk konfirmasi pembatalan transaksi
  • Enter tombol yes, untuk mengiyakan, artinya transaksi jadi dibatalkan. Tampilan layar akan kembali ke tampilan awal.
  • Enter tombol no, untuk membatalkan, artinya transaksi tidak jadi dibatalkan. Tampilan layar akan kembali ke tampilan sebelumnya.
  • Bila transaksi dibatalkan, transaksi tidak akan disimpan dalam memori di komputer.


Pembelian Ternormalisasi

Berikut adalah tampilan layar untuk transaksi Pembelian Ternormalisasi. Transaksi ini mirip dengan transaksi pembelian biasa hanya ada hal khusus yaitu nilai nilai akan di normalisasikan merata pada tiap barang yg dibeli. Karena logika transaksi ini dilakukan mundur dari belakang ke depan yaitu, didapatkan nilai total transaksi per barang dulu dan jumlah barang tapi tidak diketahui bagaimana supaya transaksi bisa tetap tercatat pada sistem dengan adanya faktor biaya diluar harga beli barang tersebut (diskon, jasa pengiriman dsb)

Bisa dilihat dibawah sebagai contoh (angka dibulat bulatkan demi kemudahan perhitungan) misalkan, didapatkan total transaksi dengan informasi jumlah barang dan harga totalnya untuk ketiga barang adalah Rp 250rb dan biaya lain (transpor/ongkos angkut dsb) adalah Rp 20rb, total sama dengan Rp 270 rb.

Maka dengan perhitungan matematika supaya sebaran biaya ini merata diterapkan pada barang barang tersebut, barang barang itu akan dicatatkan pada transaksi pembelian dengan harga @ item adalah sebesar kolom harga Normalisasi.

Sehingga total harga normalisasi tersebut bisa dihitung =

Rp 21.600 * 5 + Rp 27.000 * 4 + Rp 27.000 * 2 = Rp 270.000,-

Didapatkan total biaya yang cocok dari informasi pertama yaitu Rp 270rb.


Barcode

Untuk Pembelian dan Penjualan, bila entri menggunakan barcode, maka tekan tombol F12, untuk masuk ke dalam textbox entri kode barang, bisa juga dengan menekan mouse di textbox tersebut, kemudian scan kode dari barang yang dimaksud.

Entri ini juga bisa dilakukan via keyboard, setelah dimasukkan kode, tekan enter untuk memasukkan item yang dimaksud.

Untuk pembelian barang lebih dari satu masukkan rumus misal : pembelian 9 item suatu produk berkode PROD002 maka masukkan

9 * PROD002

Bila entri hanya memasukkan kode saja, maka secara otomatis, jumlah barang yang dimasukkan ke dalam item yang dibeli adalah satu.

Jika pada options , pilihan barcode scanner diaktifkan, maka cursor akan selalu berada di textbox kode barang, setelah jumlah beli/jumlah jual di entrikan.


Pemesanan

Berikut adalah menu untuk membuat surat pesanan dimana cara kerja nya adalah sebagai berikut :

  • Menu transaksi Pemesanan
  • Entri barang barang yang akan dipesan, isi dulu nomor transaksi, data supplier dan tanggal pesan
  • Tekan tombol preview (gambar paling bawah), untuk melihat bentuk surat pesanan apakah sudah cocok atau belum.
  • Simpan
  • Menu Histori Pemesanan, dari sini untuk melihat data data item yang sudah dipesan, lakukan ini saat supplier mengirimkan barang barang yang dipesan.
  • Rubah transaksi pemesanan menjadi pembelian
  • Cocok kan jumlah dengan item yang masuk
  • Simpan Transaksi Pembelian

Dibawah adalah preview bentuk surat pesanannya. Bila hendak dicetak maka centang pilihan untuk mencetak halaman sebelum menekan tombol simpan, bila hendak kembali ke layar entri item item yang akan dipesan (gambar diatas) maka tekan tombol kembali.


Retur Penjualan

Dari sini bisa dilakukan retur barang barang yang sudah dijual, bila retur dilakukan maka stok barang akan bertambah.

Sebelum bisa melakukan retur, maka pilih dulu transaksi penjualan yang dikehendaki, kemudian dari transaksi penjualan itu, isikan jumlah barang yang diretur di kolom berwarna khusus, kemudian tekan tombol retur, bila jumlah retur yang diisikan lebih besar dari jumlah yang di beli pelanggan maka akan muncul dialog kesalahan, ulangi dengan jumlah yang sesuai yaitu maksimum sebesar jumlah di kolom jumlah jual.


Retur Pembelian

Dari sini bisa dilakukan retur barang barang yang sudah dibeli, bila retur dilakukan maka stok barang akan berkurang.

Sebelum bisa melakukan retur, maka pilih dulu transaksi pembelian yang dikehendaki, kemudian dari transaksi penjualan itu, isikan jumlah barang yang diretur, kemudian tekan tombol retur.

Barang yang diretur bisa dua macam yaitu sejumlah satuan beli atau sejumlah satuan jual.

Misalkan kita memiliki item X, dengan satuan beli box dan satuan jual tablet, dimana 1 box ada 10 tablet. Bila kita melakukan pembelian 3 box dan sudah melakukan penjualan 5 tablet, maka sisanya tentu 2 box 5 tablet. Misalkan semua produk X tersebut kadaluarsa, jumlah yang cocok untuk diretur ke supplier adalah bisa dengan mengisikan 2 di kolom satuan beli dan 5 di satuan jual atau mengisikan 25 di satuan jual (2*10 + 5).


Penghapusan Hutang

Bila sudah melakukan pelunasan hutang atas transaksi pembelian kredit kita, tandai kolom hapus pada transaksi pembelian yang cocok (Beli ID) kemudian Save, bila hal ini dilakukan hutang tersebut tidak akan muncul pada laporan status hutang.


Penghapusan Piutang

Untuk pelanggan yang melakukan Pembelian Resep Kredit dan sudah dilunasi oleh instansi atau pelanggan itu sendiri, maka tanda kolom hapus dengan nomor transaksi yang bersesuaian kemudian tekan save.


Ganti Pengguna

Lakukan ini untuk mengganti pengguna aplikasi, hal ini dilakukan biasanya pada jam ganti shift sehingga tiap orang bertanggung jawab atas entri yang dilakukannya sendiri.


Ganti Password

Untuk mengganti password tiap pengguna oleh pengguna itu sendiri, supaya tidak diketahui orang lain, isikan password lama pada entri password paling atas, kemudian isikan password baru pada dua entri berikutnya.

Dua entri terakhir harus sama untuk memastikan password tidak salah ketik.


Update Harga

Hal ini berguna untuk mengupdate harga secara cepat, yaitu tinggal memilih produk dan set data harga beli dan jual yang baru di kolom yang berwarna kuning. kosongkan bila tidak ada perubahan, misalkan hanya hendak merubah harga jual saja, maka kosongkan kolom harga satuan beli yang baru.


Edit No Resep

Edit nomor resep adalah fitur untuk mengentrikan data nomor resep bila saat transaksi tidak diisikan atau lupa untuk diisikan.

Pilih transaksi yang diinginkan dan tekan edit untuk mengisi data data yang dikehendaki.


Statistik & Analisa Trend

Menu ini untuk memanggil laporan statistik, lihat bagian Statistik & Analisa Trend untuk lebih mendetail


Laporan

Laporan laporan yang dibuat bisa di filter berdasar rentang waktu yang flexible yaitu hari ini, antara 2 tanggal atau keseluruhan data yang tercatat oleh sistem.

Laporan Statistik digunakan untuk mengamati pada periode periode yang dipilih, produk produk mana saja yang jumlah jual atau nilai jualnya yang paling baik, sehingga keputusan yang tidak merugikan untuk pengadaan suatu produk bisa dilakukan dengan mempertimbangkan minat masyarakat terhadap produk berdasarkan statistik yang dihasilkan tersebut.

Sedangkan Analisa Trend digunakan untuk mengamati naik turunnya jumlah atau nilai jual dari setiap produk berdasar rentang waktu yang dipilih, baik secara per minggu (pengamatan per hari), per bulan (pengamatan tiap 10 hari ) dan per tahun (pengamatan per kuartal atau per bulan)

Laporan Detail adalah laporan Pasien yang di group per Dokter dan Per instansi.


Laporan Standar

Layar laporan adalah sebagai berikut, keterangan per laporan bisa dilihat dibagian bawah.

Laporan Standar terdiri dari :

  1. Penjualan (informasi produk produk yang dijual di group per hari),
  2. Penjualan / Kategori
  3. Pembelian,
  4. Kredit Jatuh Tempo (untuk pembelian produk secara kredit),
  5. Keuntungan,
  6. Hutang,
  7. Piutang,
  8. Stok Reorder (untuk informasi produk produk yang harus di order ulang),
  9. Stok Opname (informasi produk produk yang dikurangi atau ditambahi secara manual saat stok opname),
  10. Produk Expired,
  11. Data Instansi,
  12. Data Dokter,
  13. Komisi Per Dokter,
  14. Komisi Per Obat (untuk komisi akan ada data bila di data produk diisikan persentase komisi yang harus diberikan kepada dokter yang memberikan resep produk tersebut),
  15. Pasien Per Dokter,
  16. Data Pelanggan,
  17. Data Supplier
  18. Data Produk
  19. Data Racikan
  20. Data Obat Sejenis
  21. Retur Penjualan
  22. Retur Pembelian
  23. Data Nilai Produk
  24. Laporan Penjualan Resep Tunai Dengan Data Nomor Resep
  25. Laporan Penjualan Resep Kredit Dengan Data Nomor Resep.

Dari nama nama laporan diatas cukup jelas peruntukkan masing masing laporan tersebut, pilih laporan mana saja yang hendak dilihat datanya kemudian tekan preview, bila sudah yakin dengan data yang ditampilkan tekan Print untuk mencetak, untuk memperbesar dan memperkecil huruf dari tampilan preview gunakan tombol tombol zoom, hampir semua laporan (kecuali data data) bisa difilter waktu laporannya berdasar tiga jenis filter waktu yaitu :

  1. Seluruh Data
  2. Hari ini
  3. Antara Dua Tanggal

Dari tiga rentang waktu itu, sudah cukup flexibel untuk menyajikan laporan laporan yang diinginkan.Selain data laporan diatas, untuk mengeksplorasi data tanpa harus melakukan pencetakan ialah melalui data data histori dan rekap.

Untuk header (bagian atas laporan) dan footer (bagian bawah laporan) bisa diset melalui tombol set halaman sehingga bisa diatur apa saja yang ditampilkan di bagian itu.

Setiap laporan ini di preview maka akan dibuatkan file file excel yang diletakkan di folder dimana aplikasi ini diinstall (kalau tidak dirubah berada di c:\Program Files\Sistem Manajemen Apotek\), sehingga data bisa diolah lebih lanjut bila diinginkan.


Laporan Dengan Detail

Laporan Dengan Detail adalah 2 laporan yang berisi data pasien yang di kelompokkan per dokter maupun per instansi, data yang muncul di laporan ini adalah data yang diisikan dari transaksi resep tunai atau resep kredit.


Statistik & Analisa Trend

Menu ini untuk mengakses tools laporan statistik dan Analisa trend, untuk statistik fungsinya untuk mencari secara cepat, produk produk yang paling laris (banyak terjual) dan produk produk yang memberikan pemasukan paling tinggi (nilai jual besar), grafik diberikan untuk nilai jual berdasarkan persentasenya.

Hasil di bagi dalam periode waktu :

  • hari (per tanggal)
  • bulan
  • kuartal i (januari - maret)
  • kuartal ii (april - juni)
  • kuartal iii (juli - september)
  • kuartal iv (oktober - desember)
  • tahun

Masing masing periode harus memilih dulu range tanggal, bulan atau tahun untuk menampilkan statistik pada periode tersebut.

Untuk Analisa Trend, gunanya untuk melihat naik turun nya jumlah dan nilai jual dari produk produk, di bagi dalam rentang waktu :

  • 1 minggu (pantauan per hari)
  • 1 bulan (pantauan per 10 hari)
  • 1 tahun (pantauan per quartal)
  • 1 tahun (pantauan per bulan)

Setiap selesai memilih jenis laporan melakukan preview, maka akan dibuatkan file file excel di folder tempat aplikasi di install, sesuai laporan yang dibuat, sehingga data bisa diolah lebih lanjut.


Set Halaman

Setiap laporan ada dua bagian yang bisa di set disini yaitu bagian atas dan bawah, tiap tiap bagian bisa di klasifikasikan lebih lanjut menjadi tiga segmen, yaitu kiri, tengah dan kanan.

Di menu ini bisa dilakukan setting kertas yang akan digunakan juga printer yang digunakan, selain itu juga huruf beserta atributnya untuk header dan footer tersebut.

Tiga tombol dibawah tombol OK adalah tombol untuk mengisi data tanggal [Date], jam [Time] dan halaman [Page], dimana secara otomatis akan berubah saat laporan di preview/cetak.


Menu Tools

Disini adalah fitur fitur dari aplikasi untuk melihat aktivitas yang dikerjakan pada aplikasi ini atau untuk memaintenance aplikasi diantaranya adalah : Sekuriti (untuk memberi hak akses kepada pengguna, apakah dia hanya bisa menangani transaksi penjualan saja, pembelian saja, apakah bisa membuat laporan dll), Options (menu untuk setting aplikasi, misal nomer invoice berikutnya, alamat apotik, persentase PPn dll), Aktivitas Pengguna yaitu History login (pencatatan tanggal dan jam pemakaian aplikasi oleh setiap pengguna), History Pembelian, History Penjualan, Histori Mendetail mengenai Keluar Masuk Barang dan History Penghapusan Transaksi, Stok Opname (penyesuaian jumlah produk yang dicatat dalam sistem dengan jumlah sebenarnya, baik penambahan maupun pengurangan), Stok Reorder (informasi mengenai produk produk mana saja yang harus di order ulang)

Khusus untuk aplikasi single client maka ada menu khusus yaitu Compact Database (berguna untuk membuat database menjadi padat dan ukurannya menjadi lebih kecil sehingga operasi akan lebih cepat) dan Backup Database (menduplikasi database dan menyimpannya dengan nama lain). Untuk aplikasi multi client tidak diperlukan menu ini karena manajemen database dilakukan oleh software database tersendiri yaitu Microsoft SQL Server.


Securiti

Disini adalah tugas administrator untuk menambahkan data data login pengguna, yaitu orang orang yang diberikan hak akses untuk menggunakan aplikasi.

Atur hak hak yang diberikan pada tiap pengguna, misalkan untuk staf bagian kasir, mungkin bagian Bisa Pembelian bisa dimatikan (tidak dicentang), sehingga semua menu yang berkaitan dengan menu pembelian akan tidak aktif dan tidak bisa diakses oleh staf kasir tersebut.


Options

Saat awal aplikasi digunakan maka akan muncul layar seperti ini, data data setting yang bisa diatur adalah

  1. Awalan Nomor Jual, nomor jual yang tercetak di struk dan sebagai nomor transaksi terdiri dari dua segmen yaitu awalan dan akhiran, dimana awalan biasanya oleh beberapa apotek digunakan dengan kode tahun dan akhiran adalah running number, jadi tiap awal tahun, awalan ini dirubah dengan tahun yang berkaitan dan akhiran diset kembali menjadi 1, misal : tahun 2005 awalan diset menjadi 2K5 dan akhiran diset 1 maka nomer selama tahun 2005 akan bernomor 2K50000001, 2K50000002 ... dst, saat awal tahun 2006, maka awalan diset menjadi 2K6 maka nomor akan kembali menjadi 2K60000001 ... dst, Awalan tidak harus diisi kode tahun, bisa saja misalkan sebuah apotek mempunyai beberapa cabang maka kode awalan diisikan kode cabang tersebut, sehingga jumlah transaksi bisa di telusuri
  2. No Jual Berikutnya, running number/ angka berjalan yang menunjukkan nomer transaksi berikutnya adalah transaksi yang keberapa.
  3. Awalan Nomor Jual Kredit, sama dengan awalan nomor jual tapi digunakan untuk transaksi penjualan resep kredit
  4. No Jual Kredit Berikutnya
  5. Awalan Nomor Beli
  6. No Beli Beli Berikutnya
  7. No ID Dokter Berikutnya
  8. No ID Pelanggan Berikutnya
  9. PPn
  10. Alamat Apotek, data alamat apotek yang akan dimunculkan pada bagian atas struk
  11. Jumlah Baris Akhir Bon, ini adalah jumlah baris kosong yang akan ditambahkan printer hingga kertas bisa bergulung terus sehingga bisa pas untuk dirobek pada plastik perobek kertas.
  12. Kuitansi Singkat, bila ini diaktifkan maka print out struk tidak akan mencantumkan detail obat obat yang dijual pada pelanggan
  13. Pesan Bawah Struk, isikan pesan dibawah struk yang diinginkan misal : semoga lekas sembuh, kami buka 24 jam ... dsb

Tekan OK bila setting options sudah diset.


Histori Login

Dari layar ini bisa diketahui siapa saja yang pernah mengakses aplikasi hingga pada informasi tanggal dan jam nya.


Rekap Transaksi

Informasi ini adalah rekapitulasi singkat dari pencatatan transaksi transaksi tiap produk dalam satuan jual, berapa saja jumlah yang sudah dibeli, jumlah bonus, jumlah yang laku terjual, jumlah perubahan yang dilakukan lewat stok opname dan jumlah retur baik jual maupun beli.

Total dari jumlah jumlah tersebut ada di kolom Jumlah, dimana jumlah ini adalah jumlah stok terkini dari produk yang bersangkutan.


Histori Pembelian

Disini adalah untuk melihat barang barang apa saja yang dibeli pada tiap transaksi pembelian.

Dari layar ini juga bisa dilakukan penghapusan dari transaksi tersebut, tapi ingat PENGHAPUSAN TRANSAKSI TIDAK MERUBAH STOK.


Histori Pembelian Per Barang

Dari layar ini bisa dilihat arus masuk dari tiap produk lewat transaksi mana saja, dari informasi ini bisa didapatkan, tiap produk di beli pada tanggal tanggal berapa saja.


Histori Penjualan

Dari sini bisa diketahui produk produk mana saja yang dijual pada tiap transaksi penjualan, baik non resep maupun yang resep, dan dari sini bisa dilakukan reprint struk.

Dari layar ini juga bisa dilakukan penghapusan dari transaksi tersebut, tapi ingat PENGHAPUSAN TRANSAKSI TIDAK MERUBAH STOK.


Histori Penjualan Per Barang

Dari sini bisa didapatkan informasi kapan saja untuk tiap produk itu laku terjual. Sangat berguna untuk produk produk yang berjenis Narkotika atau yang produk sensitif lainnya.


Histori Arus Barang

Layar ini adalah penggabungan arus masuk dan keluar, sehingga bisa diketahui secara mendetail untuk tiap produk kapan dia masuk dan keluar apotek.


Posisi Stok

Posisi Stok adalah menu yang menampilkan fungsi semacam kartu stok, dimana ketika item sudah dipilih akan ditampilkan data status jumlah saat item tersebut masuk atau keluar lewat menu pembelian, penjualan, stok opname, bonus maupun retur


Histori Pemesanan

Histori pemesanan berisi data pemesanan dimana saat pesanan dari supplier tiba, kita akan melakukan perubahan pesanan menjadi pembelian agar pesanan tersebut tercatat dan menaikkan jumlah stok produk yang kita pesan tadi.


Histori Delete / Penghapusan

Histori Delete / Penghapusan adalah menampilkan jumlah nilai transaksi yang dihapus, pelaku penghapusan juga akan ditampilkan.


Peringatan / Alert

Layar alert ada dua bagian yaitu :

  1. Data Kadaluarsa
  2. Data Barang yang harus di stok.

Barang barang yang akan kadaluarsa dalam 120 hari, akan muncul dibagian atas, sehingga tindak lanjut bisa dilakukan agar produk tidak mubazir atau terbuang percuma

Sedangkan barang yang jumlahnya ada dibawah Reorder Level akan muncul dibagian bawah layar peringatan ini.


Operasi Database

Hal hal berikut adalah operasi yang dilakukan terhadap database yaitu backup dan restore (mengembalikan hasil backup). Khusus untuk AKUA Single ada proses compact database.

Disarankan agar backup dilakukan sesering mungkin kemudian data backup tersebut diburn/disimpan ke CD atau DVD, sehingga bila terjadi hal yang tidak diinginkan (mati lampu, kebakaran, komputer hilang dsb) data masih bisa diselamatkan dengan melakukan restore dari hasil backup tersebut.


Compact Database AKUA Single Client

Dari nama fungsi bisa didapatkan informasi secara jelas bahwa yang dilakukan adalah pemadatan file.

Hal ini dilakukan karena bila dilakukan penghapusan sebuah data dalam file database, database tidak serta merta menghapus data tersebut.

Sebagai ilustrasi bisa dilihat gambar diatas, misalkan kita memiliki database dengan ukuran 10 satuan, saat data ke-8 dihapus, database tidak langsung berubah menjadi 9 satuan, maka kita harus melakukan compact dulu agar ukuran menjadi optimal.


AKUA Multi Client Dengan Database Microsoft SQL Server

Berikut adalah operasi database Microsoft SQL Server


Cara Kerja Penyimpanan Data AKUA Multi Client

Saat login saat masuk ke aplikasi apotek multi client. Mohon perhatikan parameter parameter koneksi database, terutama Nama DB, atau nama dari database, nama itu lah yang akan sering dipergunakan dalam bagian ini.

Jalankan Enterprise Manager

Database Server Microsoft SQL Server 2000, adalah tempat dari database database yang digunakan oleh berbagai macam aplikasi, salah satunya aplikasi apotek multi client. Dan daftar database database yang berada atau terpasang pada database server SQL server bisa dilihat pada gambar dibawah. Salah satunya adalah database apotek

Nama nama yang berada dibawah databases adalah nama nama database yang terpasang / ter-attach pada database server tersebut.

Sedangkan secara fisik didalam komputer, file file dari database tersebut akan tersimpan secara default (dari sananya/standar) berada di folder

C:\Program Files\Microsoft SQL Server\MSSQL\Data

Secara umumnya, tiap database terdiri dari 2 file yaitu file yang ber ekstensi/akhiran .mdf dan .ldf, yang mdf adalah data dan ldf adalah data log dari database tersebut, untuk proses yang jauh bisa saja tiap database terdiri lebih dari 2 file, tapi untuk aplikasi ini hanya mempergunakan 2 file.

Biasanya seiiring dengan penggunaan dan berjalannya waktu, data log ini akan sangat besar, bila backup sudah dilakukan dengan baik dan rutin, maka tidak masalah bila log file ini di hapus. Petunjuk cara penghapusan ada diakhir dokumen ini.

Khusus untuk 2 file per database ini, akan sangat penting untuk diperhatikan pada saat proses backup yang secara attach/detach atau metode pasang/lepas.


Backup Database AKUA Multi Client

Untuk membackup ada beberapa cara yang bisa dilakukan yaitu :

a. Sistem Detach/Lepas Database
b. Sistem Backup Langsung

Perhatikan cara untuk mengakses menu menu yang akan di gunakan saat melakukan backup, Berikut adalah cara cara untuk memunculkan menu menu untuk backup, restore dan detach. Pemunculan menu dengan menggunakan klik tombol kanan dari mouse.

Berikut adalah cara untuk meng attach

a. Sistem Detach / Lepas Data
Inti dari cara backup ini adalah mengkopikan 2 file dari database yang hendak dibackup dengan di detach/lepas terlebih dahulu dari server yang akan di tempatkan ke sebuah lokasi yang dikehendaki.

Kemudian pada komputer tujuan database ini akan di kembalikan atau dipasang / attach kembali dari lokasi tadi

Setelah opsi detach di tekan (dari gambar menu diatas) maka akan muncul dialog seperti berikut, bila connection lebih dari nol (yang dibulat merah) maka artinya masih ada aplikasi yang aktif yang menggunakan database tersebut, perintahkan agar seluruh aplikasi apotek ditutup dulu, atau lakukan pemutusan secara sepihak dari server, dengan cara menekan tombol clear.

Tekan tombol Ok untuk melepas database tersebut.

Setelah itu kopikan file dari database ini yang secara default ada di C:\Program Files\Microsoft SQL Server\MSSQL\Data ke lokasi yang aman atau ke lokasi server baru.

Selanjutnya untuk memasang file file database tersebut, baca informasi mengenai restore dengan sistem pasang / attach.

b. Sistem Backup Langsung
Backup dengan sistem ini adalah memanfaatkan utility backup yang sudah disediakan pada server (lihat gambar cara mengaksesnya diatas)

Setelah menu backup diaktifkan, maka akan muncul dialog seperti dibawah ini.

Pertama, pilihlah target backup atau nama file backup dari database yang dipilih, dengan menekan tombol add, dialog berikutnya adalah seperti dibawah ini

Pilihlah lokasi folder tempat dimana file backup akan disimpan, kemudian isikan nama dari file backup tersebut.

Setelah ditambahkan, sesuaikan opsi opsi yang ada seperti gambar dibawah ini.

Kemudian tekan tombol Ok, maka backup akan dibuatkan.


Restore Database AKUA Multi Client

Untuk restore / pengembalian data backup ada dua cara juga yaitu :

a. Sistem Attach/Pasang Data Fisik Database
b. Sistem Restore

a. Dengan sistem Attach / Pasang Data fisik Database
Setelah menu attach dijalankan, maka dialog yang muncul adalah sebagai berikut

Dari dialog tersebut, yang harus dilakukan adalah cari file hasil backup yang didetach dan telah dikopikan ke lokasi yang dikehendaki (lihat bahasan backup secara detach )

Setelah tombol memilih file ditekan, maka yang muncul adalah sebagai berikut :

Tekan tombol OK bila sudah.

Dialog attach akan menjadi seperti dibawah ini, isikan nama database yang diinginkan, nama yang diisikan ini adalah nama database yang akan diisikan saat login pada aplikasi apotek multi client dibagian parameter koneksi DB.

Bila attach sukses maka gambar akan seperti berikut :

b. Dengan Sistem Restore

Setelah menu restore dijalankan maka dialog yang muncul adalah sebagai berikut

Isikan nama database yang akan direstore dimana nama ini adalah yang akan sebagai nama DB di parameter koneksi saat login apotek multi client.

Tekan tombol select devices, untuk mencari data hasil backup yang dibuat sebelumnya.

Ikuti urutan gambar diatas, kemudian Tekan tombol Ok, maka database akan dikembalikan.


Penghapusan Log Database

Langkah langkah penghapusan file log yaitu bila file ldf sudah sangat besar dan memakan tempat adalah :

  1. Backup database
  2. Detach database
  3. Rename file ldf/log nya, in case error dalam meng-attach lagi
  4. Attach lagi database tadi, akan muncul tanda X di file log nya, Acuhkan saja, set namanya, dan owner database tadi

  5. Tekan tombol Ok, kadang kadang akan muncul window yang mengatakan log nya error/bermasalah, continue saja, oleh server akan di buatkan lagi file log yang baru, yang ukurannya lebih kecil
  6. Delete file log tadi hasil rename diatas.
  7. Walaupun mungkin tidak akan terjadi, tapi bila attach tersebut gagal, berarti ada masalah, rename kembali file lognya, kemudian attach kembali.

Informasi yang lebih lengkap bisa membaca help dari aplikasi SQL Server dengan menekan tombol F1 saat ada di enterprise manager.


AKUA Multi Client Dengan Database MySQL

Berikut adalah Operasi Dengan Database MySQL


Backup Restore

Backup dalam mysql cukup mudah, tinggal copy kan isi file

C:\xampplite\mysql\data\namadatabase

Dimana database kita adalah nama folder yang berkaitan, bila rusak, tinggal copykan balik hasil backup sebelumnya.

Dari contoh diatas, nama database adalah apotek, folder apotek ini bisa dicopykan ke flashdisk, atau di-zip, dsb

Proses restore sama seperti operasi file biasa, tinggal dicopy kembali atau di extract dari hasil zip

Lakukan hal ini dengan kondisi mysql di stop dulu via xampp control panel


Lainnya

Disini bisa dilihat beberapa fitur dari aplikasi selain yang sudah dibahas diatas.


Menu Windows

Bila beberapa layar sudah dibuka, maka untuk merapihkan layar layar tersebut bisa diakses melalui menu ini beberapa menu tersebut adalah :

Tile Horizontal, maka layar layar akan ditumpuk berjejer kesamping

Tile Vertical, maka layar layar akan ditumpuk berjejer dari atas kebawah

Cascade, maka layar akan ditumpuk tumpang tindih

Close All, akan menutup seluruh layar yang terbuka


Menu Help

Menu ini digunakan untuk membuka file help ini dan menu about yaitu menu tentang versi aplikasi dan cara untuk meregister aplikasi. File help ini bisa dipanggil kapan saja dengan menekan tombol F1.

Di menu about bisa didapatkan kontak untuk developer, seandainya sewaktu waktu mengalami kesulitan atau ada request perubahan aplikasi silahkan untuk mengkontak alamat tersebut.


Kemampuan Database Access

Berikut adalah informasi mengenai kemampuan database MS Access yang didapat dari help aplikasi tersebut, database ini digunakan untuk AKUA Single Client.

Database Specifications

The following info gives the maximum size for various attributes of a database.

  • Database (.mdb) file size 1 gigabyte. Because your database can include linked tables in other files, its total size is limited only by available storage capacity.
  • Number of characters in an object name 64
  • Number of characters in a user password 14
  • Number of characters in a database password 20
  • Number of characters in a user name or group name 20
  • Number of concurrent users 255

Table Specifications

  • The following info gives the maximum size for various attributes of a table.
  • Number of characters in a table name 64
  • Number of characters in a field name 64
  • Number of fields in a table 255
  • Table size 1 gigabyte
  • Number of characters in a Text field 255
  • Number of characters in a Text field for double-byte character sets (DBCS), which require 2 bytes to store a single character 127
  • Number of characters in a Memo field 1 gigabyte
  • Size of a Long Binary (OLE Object) field 1 gigabyte
  • Number of indexes in a table 32
  • Number of fields in an index 10
  • Number of characters in an index 255
  • Number of characters in a validation message 255
  • Number of characters in a validation rule 2048
  • Number of characters in a table or field description 255
  • Number of characters in a record (excluding Memo and OLE Object fields) 2000
  • Number of characters in a field property setting 255

Query Specifications

  • The following info gives the maximum size for various attributes of a query.
  • Number of tables in a query 32
  • Number of fields in a recordset 255
  • Number of fields in an ORDER BY clause 10
  • Number of levels of nested queries 50
  • Number of characters in a parameter name 255
  • Number of ANDs in an expression 40
  • Number of characters in an SQL statement Approximately 64,000


Daftar Tombol Cepat / Shortcut

Umum

  1. Huruf bergaris bawah , bila tombol atau label mengandung huruf yang bergaris bawah, maka tombol tersebut artinya bisa diakses dengan menggunakan tombol alt ditekan berbarengan dengan huruf bergaris bawah tersebut.
  2. Perhatikan menu menu yang tersedia, bila disebelah nama menu tersebut terdapat rangkain nama function key( F2, F3, F4 dll) maka artinya menu tersebut bisa di panggil dengan menekan kombinasi function key yang tercantum

Pada Transaksi Penjualan/Pembelian

  1. = (tombol sama dengan) untuk mendapatkan nilai total dan langsung mem-print struk ke printer
  2. Enter, saat pemilihan produk maka bila enter di tekan di kolom satu, data akan muncul sendiri, dan tinggal di pilih sesuai namanya, kemudian di enter kembali, maka kursor akan bergerak ke kolom jumlah, tempat mengisikan berapa jumlah barang tersebut yang akan dipilih.

Secara Lengkap

SAAT MELAKUKAN ENTRY

  • ALT+N            NEW / DATA BARU
  • ALT+E            EDIT (SETELAH MEMILIH DATA DULU)
  • ALT+S            SAVE / SIMPAN DATA
  • ALT+D            DELETE (SETELAH MEMILIH DATA DULU)
  • TAB              BERPINDAH MENUJU FIELD / KOTAK ISIAN BERIKUTNYA
  • SHIFT+TAB        BERPINDAH MENUJU FIELD / KOTAK ISIAN SEBELUMNNYA

SAAT MELAKUKAN TRANSAKSI

  • F12              ISI KODE BARANG
  • TAB              BERPINDAH MENUJU FIELD / KOTAK ISIAN BERIKUTNYA
  • SHIFT+TAB        BERPINDAH MENUJU FIELD / KOTAK ISIAN SEBELUMNNYA
  • ENTER            BERPINDAH MENUJU FIELD / KOTAK ISIAN BERIKUTNYA
  • PANAH            BERPINDAH SESUAI ARAH PANAH DALAM DATA TRANSAKSI

SAAT DI LAYAR LAPORAN

  • PANAH            UNTUK MENYOROT LAPORAN YANG AKAN DIPILIH
  • SPASI            UNTUK MEMILIH LAPORAN YANG AKAN DI BUAT
  • ALT+I            MEMILIH SEMUA LAPORAN
  • ALT+A            UNTUK SETTING HALAMAN
  • ALT+V            UNTUK MEMBUAT LAPORAN YANG AKAN DI PRINT
  • ALT+P            UNTUK MENCETAK LAPORAN KE PRINTER
  • ALT+Z            ZOOM MEMPERBESAR 10%
  • ALT+O            ZOOM MEMPERKECIL 10%

AKSES MENU

  • F1               HELP
  • F2               PENJUALAN TANPA RESEP
  • F3               PENJUALAN DENGAN RESEP TUNAI
  • F4               PENJUALAN DENGAN RESEP KREDIT
  • F10              PEMBELIAN
  • SHIFT+F10        PEMBELIAN TERNORMALISASI
  • ALT+F10          PEMESANAN
  • CTRL+SHIFT+F2    RETUR PENJUALAN
  • CTRL+SHIFT+F10   RETUR PEMBELIAN
  • ALT+Q            GANTI PENGGUNA
  • F5               LAPORAN UMUM
  • ALT+F5           LAPORAN STATISTIK & TREND
  • ALT+X            KELUAR APLIKASI

  • ALT+F7           DATA KATEGORI
  • F7               DATA SUPPLIER
  • F8               DATA PRODUK
  • CTRL+F8          DATA RACIKAN
  • CTRL+F2          DATA OBAT SEJENIS
  • ALT+F8           DATA INSTANSI
  • F6               DATA PELANGGAN
  • ALT+F6           DATA DOKTER
  • ALT+F11          DATA NOTES
  • SHIFT+F8         UPDATE HARGA

  • F9               SEKURITI
  • ALT+F9           STOK OPNAME
  • F11              PERINGATAN

  • ALT+CTRL+F12     MENUTUP SEMUA LAYAR
  • ALT+CTRL+H       TILE HORIZONTAL
  • ALT+CTRL+V       TILE VERTIKAL


Migrasi Dari AKUA Single Client Ke AKUA Multi Client

Dokumen ini akan memberikan petunjuk bagaimana mengimport database dari aplikasi AKUA yang single client menjadi AKUA yang multi client dengan database Microsoft SQL Server

Berhubung AKUA Multi Client minimal adalah dengan dua pembelian registrasi, maka proses baru bisa dilakukan setelah password dari database AKUA Single Client di reset terlebih dahulu oleh aplikasi reset password yang bisa diminta pada kami, setelah biaya lisensi AKUA kedua dan seterusnya telah dipenuhi.

Lakukan proses import ini setelah melakukan login pertama ke AKUA multi client dan database sudah dibuatkan oleh aplikasi AKUA Multi Client dan database AKUA Single Client sudah dikopikan ke server tersebut.

Seluruh proses hanya perlu dilakukan di komputer server dan sebelum mulai proses ini, restartlah dulu komputer server.

Secara Garis Besar bagian ini akan membahas hal hal sebagai berikut :

  1. Registrasi database server di Enterprise Manager
  2. Import dengan menggunakan DTS (Data Transformation Service)


Registrasi database server di Enterprise Manager

Registrasi database server di Enterprise Manager

Enterprise manager gunanya adalah untuk memanage database server, tetapi sebelum sebuah database server bisa dimanage dengan enterprise manager maka dia harus diregistrasi dulu. Langkah langkahnya adalah sebagai berikut :

1. Jalankan enterprise manager

Kadang kadang server sudah otomatis ter register di enterprise manager (tampilan mirip no 9), bila ini hal yang terjadi maka lanjutkan ke proses import. Bila tampilan enterprise manager masih mirip no 2, berarti database belum ter register, lakukan petunjuk petunjuk dibawah ini.

2. Pilih Group tempat database server ini diregister

3. Klik kanan tombol mouse di nama group tadi dan pilih new sql server registration

4. Maka akan dimulai langkah langkah registrasi ini

5. Dari sini pilih (local) dan tekan tombol add, maka (local) akan berpindah ke sebelah kanan

6. Pilih mode autentifikasinya, gunakan yang sebelah bawah

7. Isi data login dan password sesuai dengan data sewaktumenginstall database server (bagian nomor 12)

8. Pilih lokasi grup tempat database server ini akan diregistrasikan

9. Registrasi selesai

Proses Selesai.


Import dengan menggunakan DTS (Data Transformation Service)

Sebelum mulai lihat dulu hasil registrasi database di enterprise manager ini, kembangkan semua cabang dari database server tersebut.

Bisa terlihat diatas database yang kita buat sewaktu, pemakaian pertama aplikasi SIM Apotek multiclient.

Sekarang kita akan mulai proses import data.

Klik kanan pada tulisan data transformation service, dan pilih export data

Proses export wizard akan dimulai

Pilih data sumber dan tujuan, untuk sumber pilih tipenya microsoft access dan pilih dimana lokasi kita menyimpan hasil backup data SIM Apotek single client tadi.

Setelah setting data sumber maka kita mulai untuk setup data tujuan

Pilih tipenya seperti atas, kemudian username dan password sesuai saat instalasi database server dan database yang digunakan adalah database yang dibuat sewaktu pemakaian pertama

Pilih tipe export sebagai copy tables, yaitu pilihan yang pertama

Pilih semua table atau beberapa table saja yang hendak di export, sesuai kebutuhan

Perhatikan saat ini, karena akan ada kasus dibawah nanti

Setelah itu akan muncul layar yang akan menanyakan apakah, export data ini akan dieksekusi sekarang atau tidak

Pilih run immediately agar dieksekusi langsung saat ini juga

Setelah finish ditekan maka proses export akan berlangsung

Saat memilih table table diatas tadi, khusus untuk table tuser akan menimbulkan error yang tidak fatal, dan bisa diacuhkan, hal ini dikarenakan user administrator di SIM Apotek multi client sudah ada dan tidak bisa ditimpa dengan user administrator di SIM Apotek single client, errornya akan seperti berikut :


Migrasi Ke Mutli Client Dengan Database MySQL

Untuk migrasi karena perbedaan cukup banyak dan agar bisa menghindari masalah yang tidak perlu, hanya bisa dilakukan oleh saya, silahkan kirim backup AKUA Single client ke me@aespesoft.com


Pembuatan Database

New Topic (Press Shift-Enter to insert a line break. Press Enter to add a paragraph return.)